# Generated from dr-ffi-proj4-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dr-ffi-proj4

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: An ffi wrapper for the PROJ.4 Cartographic Projections library
License: MIT
URL: http://github.com/dark-panda/ffi-proj4
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel > 1.3.1
BuildRequires: ruby
BuildArch: noarch

%description
An ffi wrapper for the PROJ.4 Cartographic Projections library.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/ffi-proj4.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.3-1
- Initial package
